{% extends "base.html" %}
{% block content %}
    {% if user.is_superuser %}
        <div class="alert alert-dark" role="alert">
            <h4>Statistiques</h4>
            <i aria-hidden="true" class="fas fa-images"></i> <strong>Contenus</strong> :
            <ul style="margin:0; padding:0">Actifs : {{ stat.active }}</ul>
            <ul style="margin:0; padding:0">Depuis le début : {{ stat.since_creation }}</ul>
            <hr/>
            <i aria-hidden="true" class="fas fa-tv"></i> <strong>Écrans</strong> :
            <ul style="margin:0; padding:0">Inscrits : {{ stat.screen_total }}</ul>
            <ul style="margin:0; padding:0">Sans problème : {{ stat.screen_ok }}</ul>
            <ul style="margin:0; padding:0">Diffusant actuellement : {{ stat.screen_on }}</ul>
            <hr/>
            <i aria-hidden="true" class="fas fa-user"></i> <strong>Utilisateurs</strong> :
            <ul style="margin:0; padding:0">Actifs : {{ stat.user_active }}</ul>
            <ul style="margin:0; padding:0">Depuis le début : {{ stat.user_total }}</ul>
        </div>
    {% endif %}
    <div>
        <div>
            {% if feed %}
                {% for team in feed %}
                    {% ifchanged team.feed_group.name %}
                        </div></div><br/>
                        <div class="card">
                        <h5 class="card-header">{{ team.feed_group.name }}</h5>
                        <div class="card-body">
                    {% endifchanged %}
                    <div class="row">
                        <div class="col"><h6><a href="{% url "content_list" team.pk %}">{{ team.name }}</a><br/><span
                                style="font-size: smaller">{{ team.description }}</span></h6></div>
                        <div class="col"><span
                                class="badge badge-secondary">{{ team.count_active }} contenu{{ team.count_active|pluralize }} actif{{ team.count_active|pluralize }}</span>
                        </div>
                    </div>
                {% endfor %}
            {% else %}
                Aucun flux à afficher
            {% endif %}
        </div>
    </div>
<br/>
{% if user.is_superuser %}
    {% if cron and cron.execution %}
        <div class="alert alert-{% if cron.execution.has_error %}danger{% else %}info{% endif %}" role="alert">
            {% if not cron.execution.has_error %}
            <i aria-hidden="true" class="fas fa-check-circle"></i> L'exécution de la tâche <strong>{{ cron.execution.name }}</strong> a réussie.
            {% else %}
            <i aria-hidden="true" class="fas fa-times-circle"></i>  L'exécution de la tâche <strong>{{ cron.execution.name }}</strong> a <strong style="text-decoration: underline;">échouée</strong>.<br/>Veuillez signaler le problème au support technique.
            {% endif %}
        </div>
    {% endif %}
    {% if cron and cron.list %}
        <h4>Actions manuelles - <small>Une fois que vous avez cliqué, attendez que la page se rafraichisse</small></h4><hr/>
        <div class="row justify-content-around align-self-center">
        {% for cron_name in cron.list %}
            <div class="col-md-3 col-sm-12 align-self-center">
                <a class="btn btn-primary" style="margin-top: 1vh;" href="{% url "cron_action_manual" forloop.counter0 %}"><i aria-hidden="true" class="fas fa-cog"></i> {{ cron_name }}<br/></a>
            </div>
        {% endfor %}
        </div>
    {% endif %}
    <br/>
{% endif %}
{% endblock %}